<?php
// get db connection information
include('/usr/share/mediamate/header.php');

// Check for session variables to see if the user is logged in
session_start();

$number = 0;
$counter = 0;

if ($_SESSION['level'] == "3" ) {

   // get list of movies without directors listed
   $result = $mm->dbQuery("SELECT movie_id, movie_title, imdb_url FROM movies_list WHERE movie_director = ''");

   $missing_director = $mm->dbCountRows($result);

   $action = $_GET['action'];
   $number = $_GET['number'];
};

if ($action == "update") {

   if ($number > $missing_director) {
      $number = $missing_director;
   };

   while ($counter < $number) {
      $row = $mm->dbFetchArray($result);
      $imdb_url = $row['imdb_url'];
      if (!is_null($imdb_url)) {
         //clear compound variables
         $movie_genre="";
         $movie_director="";
         $imdb_page="";

         $movie_title = stripslashes($row['movie_title']); 
         $movie_id = $row['movie_id'];
         echo "<a href=index.php?module=movies&do=details&id=$movie_id>$movie_title</a> - <a href=$imdb_url>IMDB</a><br>\n";
   
         // fetch new information (taken from edit.php)
         if (ereg('http://([^/]*)', $imdb_url, $temp)) {
            $server = $temp[1];
         }
         $socket = fsockopen($server,80);
         if(!$socket){
            print '<code>IMDB-Error: Could not connect to Server</code><BR>';
            return '';
         }
         socket_set_timeout($socket, 15);
         //send request
         $request = "GET $imdb_url HTTP/1.1\r\n";
         $request .= "User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 98)\r\n";
         $request .= "Host: $server\r\n";
         $request .= "Connection: Close\r\n\r\n";
         fputs($socket, $request);
         //read from socket
         while (!feof($socket)) {
            $imdb_page .= fgets($socket,128);
         }
   
         // got the page, now for the updated fields
         if (ereg('Genre[^>]*>[^>]*>([^<]*)', $imdb_page, $temp)) {
            $movie_genre = $temp[1];
         };

         if (ereg('Genre[^>]*>[^>]*>[^>]*> / [^>]*>([^<]*)', $imdb_page, $temp)) {
            $movie_genre = $movie_genre . ", " . $temp[1];
         };

         if (ereg('Genre[^>]*>[^>]*>[^>]*> / [^>]*>[^>]*> / [^>]*>([^<]*)', $imdb_page, $temp)) {
            $movie_genre = $movie_genre . ", " . $temp[1];
         };

         if (ereg('Directed by[^>]*>[^>]*>[^>]*>([^<]*)', $imdb_page, $temp)) {
            $movie_director = $temp[1];
         };

         if (ereg('Directed by[^>]*>[^>]*>[^>]*>[^>]*><br><a[^>]*>([^<]*)', $imdb_page, $temp)) {
            $movie_director = $movie_director . ", " . $temp[1];
         };

         echo "Genre: $movie_genre<br>\n";
         echo "Director: $movie_director<br>\n";

         //update movie details
         $movie_director=addslashes($movie_director);

         $update = $mm->dbQuery("UPDATE movies_list SET movie_director = '$movie_director', movie_genre='$movie_genre' WHERE movie_id = '$movie_id'");
         
         echo "-- DONE --<br>\n";
         echo "<p>";
      
         // send data to page (more responsive)
         flush();
         $counter = $counter + 1;
      };
   };
};

if ($_SESSION['level'] == "3" ) {
   $result = $mm->dbQuery("SELECT movie_id, movie_title, imdb_url FROM movies_list WHERE movie_director = ''");

   $missing_director = $mm->dbCountRows($result);

?>
   <form action="<? echo $PHP_SELF ?>" method="get">
      There are now <? echo $missing_director ?> movies missing a director entry.<br>
      Select the number to update and press OK.<br>
      <select name="number">
<?php
   $select_entry = 0;
   while ($select_entry < $missing_director) {
      $select_entry = $select_entry + 10;
      echo "<option>$select_entry</option>";
   }
?>
      </select>
      <input type="hidden" name="action" value="update">
      <input type="submit" value="OK">
   </form>
<?php
} else {
   echo"<b>You must be logged in as a super user to use this page!</b>";
};
?>
